Subject: Re: Tools request - "Waiting for implementation" as WG draft status

From: John Scudder <[email-masked]>
Date: Wed, 18 Nov 2015 14:30:14 -0500

Hi Henrik,

> On Mar 6, 2014, at 1:10 PM, Henrik Levkowetz <[email-masked]> wrote:
> On 2014-03-06 16:36 Alia Atlas said the following:
>> Hi all,
>> 
>> In the Routing Area, it can be desirable to wait for multiple interoperable
>> implementations before progressing a draft to be an RFC.  This is required
>> in IDR.
>> 
>> Unfortunately, the lack of a WGLC until implementations are done causes two
>> issues.  First, it is harder to get the level of focused review and
>> scrutiny that a WGLC generates.  Second, it is only clear what the status
>> of a draft is to those "in the know" who are active in the group and were
>> paying attention.
>> 
>> I would like to see a new state for a draft called "Waiting for
>> Implementation".  I think this state could be entered from "WGLC Passed".
>>> From "Waiting for Implementation", the draft could be minorly updated just
>> as for IETF Last Call comments or returned to the WG if a serious technical
>> issue was found.
>> 
>>> From chatting with the IDR chairs, this would be helpful to them.
>> 
>> Any thoughts?
> 
> I'm fine with adding this state to those you can choose to use.

Could you would you? (I misremembered earlier that this had been done, but AFAICT it wasn't.)

FWIW, I think this would be useful for (at least) BESS as well, based on discussion with the chairs.

Thanks,

--John

---

From: Tony Przygienda <[email-masked]>
Date: Wed, 18 Nov 2015 18:04:56 -0800

don't know what that changes really but +1. Implementation _is_ still the
best last call in routing area (well, 2 of those interop'ing & deployed
really the way it used to be ages ago) ...

-- tony

-- 
*We’ve heard that a million monkeys at a million keyboards could produce
the complete works of Shakespeare; now, thanks to the Internet, we know
that is not true.*
—Robert Wilensky

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 19 Nov 2015 02:06:58 +0000

Very much in support!
Nothing beats interoperability.

Regards,
Jeff

> On Nov 18, 2015, at 1:30 PM, John Scudder <[email-masked]> wrote:
> 
> Hi Henrik,
>